import { Exam } from "../types"
import { ExamCard } from "./exam-card"

interface ExamGridProps {
  exams: Exam[]
}

export function ExamGrid({ exams }: ExamGridProps) {
  return (
    <div className="grid grid-cols-1 gap-6 sm:grid-cols-2 lg:grid-cols-3 xl:grid-cols-4">
      {exams.map((exam) => (
        <ExamCard key={exam.id} exam={exam} />
      ))}
    </div>
  )
}
